using Sledgemapper.Shared.Entities;
using System.Threading.Tasks;

namespace Sledgemapper.Clients
{
    public interface ISledgemapperClient
    {
        Task NewTile(Tile tile);
        Task NewWall(Wall wall);
        Task NewOverlay(Overlay overlay);
        Task DeleteTile(Tile tile);
        Task DeleteWall(Wall wall);
        Task DeleteOverlay(Overlay overlay);
        Task NewPlayer(Player player);
        Task PlayerUpdate(Player player);
        Task UpdateMap(Session player);
        Task RefreshPlayers();
    }
}
